package j2eetut.enroller;

/*
 *
 * Copyright 2001 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the proprietary information of Sun Microsystems, Inc.  
 * Use is subject to license terms.
 * 
 */

import javax.ejb.EJBObject;
import java.rmi.RemoteException;
import java.util.*;

public interface Enroller extends EJBObject {
 
   public void enroll(String studentId, String courseId)
      throws RemoteException;

   public void unEnroll(String studentId, String courseId)
      throws RemoteException;

   public void deleteStudent(String studentId)
      throws RemoteException;

   public void deleteCourse(String courseId)
      throws RemoteException;

   public ArrayList getStudentIds(String courseId)
      throws RemoteException;

   public ArrayList getCourseIds(String studentId)
      throws RemoteException;
}
